// --- [ rs232.c ] ------------------------------------------------------------
//

#include <avr/io.h>
#include <avr/pgmspace.h>  
#include "rs232.h"
#include "global.h"

// ----------------------------------------------------------------------------
// initialisiert die RS232-Schnittstelle (ATMEGAxx8
void rs232_init(void)
{

UBRR0L = TEILER;									// siehe rs232_int.h
UBRR0H = 0;
UCSR0C = (0<<UMSEL01) | (1<<UCSZ01) | (1<<UCSZ00);

DISABLE_RX();
}


// --- Standard-Routinen ------------------------------------------------------
// ----------------------------------------------------------------------------
// ein einzelnes Zeichen auf COM ausgeben
void put_c(uint8_t Zeichen)
{
while(!(UCSR0A & (1<<UDRE0)));
UDR0 = Zeichen;
}

// ----------------------------------------------------------------------------
// einen String auf COM ausgeben
void put_s(char *s)
{
while(*s)
	{
	put_c(*s);
	s++;
	}
}


// ----------------------------------------------------------------------------
// gibt einen String aus dem Flash aus
void puts_p(const char *progmem_s)
{
register char c;
while ( (c = pgm_read_byte(progmem_s++)) )
	{
   put_c(c);
	}
}


// --- [ eof ] ----------------------------------------------------------------

