// --- [ rs232_input.h ] -----------------------------------------------

void	rs232_init(void);
void 	put_c(uint8_t);
void 	put_s(char *s);
void 	puts_p(const char *progmem_s);


uint8_t rx_count_bytes(void);
uint8_t rx_get_byte(void);
void    rx_clear_buffer(void);

void uart_init(void);
void uart_putchar(char);
void uart_putbyte(char);
void uart_puthex(uint8_t);
void uart_putint(uint16_t);
void uart_putstr(const char* str);


#define BAUD  	UART_BAUDRATE
#define TEILER ((F_CPU /(BAUD * 16l)) -1)

// Register USCR0B konfigurieren
#define ENABLE_RX() 	(UCSR0B = (1<<RXCIE0 | 0<<TXCIE0 | 0<<UDRIE0 | 1<<RXEN0 | 1<<TXEN0))
#define DISABLE_RX()	(UCSR0B = (0<<RXCIE0 | 0<<TXCIE0 | 0<<UDRIE0 | 0<<RXEN0 | 1<<TXEN0))

// --- [ eof ] ----------------------------------------------------------------
